> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/2026-05/sku_lists.md).

# SKU lists

The SKU list object and the allowed CRUD operations on the related resource endpoint

SKU lists are used to group multiple [SKUs](/core-api-reference/2026-05/skus.md), either automatically or manually, based on the `manual` attribute:

* When `manual` is `true` (default), the list is populated by creating and sorting [SKU list items](/core-api-reference/2026-05/sku_list_items.md).
* When `manual` is `false`, the list is populated automatically by matching SKU codes against the `sku_code_regex` attribute, which is required in this case.

{% hint style="info" %}
The `sku_code_regex` can be up to **5000** characters long.
{% endhint %}

An SKU list can optionally be associated with a specific [customer](/core-api-reference/2026-05/customers.md), scoping it to that customer only.

{% hint style="info" %}
SKU lists cannot contain [bundles](/core-api-reference/2026-05/bundles.md) directly, but a bundle always references its own SKU list through the SKU list relationship. When that list matches this one, the two are considered matching resources for the scope of specific [promotions](/core-api-reference/2026-05/free_gift_promotions.md) and [promotion rules](/core-api-reference/2026-05/promotion_rules.md) application.
{% endhint %}

{% hint style="warning" %}
SKU uniqueness is not enforced on an SKU list — an SKU list can contain the same SKU multiple times.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/2026-05/sku_lists.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
